Bug 1974978 - 4.8.0.rc0 upgrade hung, stuck on DNS clusteroperator progressing
Summary: 4.8.0.rc0 upgrade hung, stuck on DNS clusteroperator progressing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.8.0
Assignee: Miciah Dashiel Butler Masters
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On: 1973482
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-22 21:40 UTC by OpenShift BugZilla Robot
Modified: 2022-08-04 22:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:13:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-dns-operator pull 284 0 None open [release-4.8] Bug 1974978: status: Watch daemonsets 2021-06-25 14:43:13 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:13:53 UTC

Comment 2 Hongan Li 2021-07-01 12:00:28 UTC
upgraded from 4.8.0-fc.9 to 4.8.0-0.nightly-2021-07-01-043852 and passed, didn't see co/dns stuck on Progressing status.

$ oc get clusterversion
NAME      VERSION      AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-fc.9   True        True          11m     Working towards 4.8.0-0.nightly-2021-07-01-043852: 93 of 676 done (13% complete)

$ oc get co/dns
NAME   VERSION      AVAILABLE   PROGRESSING   DEGRADED   SINCE
dns    4.8.0-fc.9   True        False         False      4h1m

<......>

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.nightly-2021-07-01-043852   True        False         10s     Cluster version is 4.8.0-0.nightly-2021-07-01-043852

$ oc get co/dns
NAME   VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
dns    4.8.0-0.nightly-2021-07-01-043852   True        False         False      6h4m

Comment 5 errata-xmlrpc 2021-07-27 23:13:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.